com.io7m.r2.core.cursors

## Class R2VertexPUNT16ByteBuffered

- java.lang.Object
- - com.io7m.r2.core.cursors.R2VertexPUNT16ByteBuffered

- All Implemented Interfaces:
    com.io7m.jpra.runtime.java.JPRAValueType, R2VertexPUNT16ReadableType, R2VertexPUNT16Type, R2VertexPUNT16WritableType

      public final class R2VertexPUNT16ByteBuffered
      extends Object
      implements R2VertexPUNT16Type

  A `ByteBuffer` based implementation of the `R2VertexPUNT16` record type.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.io7m.jtensors.ieee754b16.VectorReadable3Db16Type` | `getNormalReadable()`
    `com.io7m.jtensors.ieee754b16.Vector3Db16Type` | `getNormalWritable()`
    `com.io7m.jtensors.ieee754b16.VectorReadable3Db16Type` | `getPositionReadable()`
    `com.io7m.jtensors.ieee754b16.Vector3Db16Type` | `getPositionWritable()`
    `com.io7m.jtensors.ieee754b16.VectorReadable4Db16Type` | `getTangentReadable()`
    `com.io7m.jtensors.ieee754b16.Vector4Db16Type` | `getTangentWritable()`
    `com.io7m.jtensors.ieee754b16.VectorReadable2Db16Type` | `getUvReadable()`
    `com.io7m.jtensors.ieee754b16.Vector2Db16Type` | `getUvWritable()`
    `int` | `metaNormalOffsetFromCursor()`
    `int` | `metaNormalOffsetFromType()`
    `static int` | `metaNormalStaticOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAVector` | `metaNormalType()`
    `int` | `metaPositionOffsetFromCursor()`
    `int` | `metaPositionOffsetFromType()`
    `static int` | `metaPositionStaticOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAVector` | `metaPositionType()`
    `int` | `metaTangentOffsetFromCursor()`
    `int` | `metaTangentOffsetFromType()`
    `static int` | `metaTangentStaticOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAVector` | `metaTangentType()`
    `int` | `metaUvOffsetFromCursor()`
    `int` | `metaUvOffsetFromType()`
    `static int` | `metaUvStaticOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAVector` | `metaUvType()`
    `static R2VertexPUNT16Type` | `newValue(ByteBuffer in_buffer, com.io7m.jpra.runtime.java.JPRACursorByteReadableType in_pointer)` Construct a view of a type.
    `static R2VertexPUNT16Type` | `newValueWithOffset(ByteBuffer in_buffer, com.io7m.jpra.runtime.java.JPRACursorByteReadableType in_pointer, int in_base_offset)` Construct a view of a type.
    `static int` | `sizeInOctets()`
    `int` | `sizeOctets()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### newValueWithOffset

          public static R2VertexPUNT16Type newValueWithOffset(ByteBuffer in_buffer,
                                                              com.io7m.jpra.runtime.java.JPRACursorByteReadableType in_pointer,
                                                              int in_base_offset)

      Construct a view of a type.
      Parameters:
        `in_buffer` - A byte buffer
        `in_pointer` - A cursor
        `in_base_offset` - The base offset from the cursor
      Returns:
        A view of a type

    - #### newValue

          public static R2VertexPUNT16Type newValue(ByteBuffer in_buffer,
                                                    com.io7m.jpra.runtime.java.JPRACursorByteReadableType in_pointer)

      Construct a view of a type.
      Parameters:
        `in_buffer` - A byte buffer
        `in_pointer` - A cursor
      Returns:
        A view of a type

    - #### sizeOctets

          public int sizeOctets()

      Specified by:
        `sizeOctets` in interface `com.io7m.jpra.runtime.java.JPRAValueType`

    - #### sizeInOctets

          public static int sizeInOctets()

      Returns:
        The size of the type in octets

    - #### metaPositionOffsetFromType

          public int metaPositionOffsetFromType()

      Specified by:
        `metaPositionOffsetFromType` in interface `R2VertexPUNT16ReadableType`
      Returns:
        The offset in octets of the `position` field, from the start of the type

    - #### metaPositionStaticOffsetFromType

          public static int metaPositionStaticOffsetFromType()

      Returns:
        The offset in octets of field `position` from the start of the type

    - #### metaPositionOffsetFromCursor

          public int metaPositionOffsetFromCursor()

      Specified by:
        `metaPositionOffsetFromCursor` in interface `R2VertexPUNT16ReadableType`
      Returns:
        The offset in octets of the `position` field, from the cursor

    - #### metaPositionType

          public com.io7m.jpra.runtime.java.JPRATypeModel.JPRAVector metaPositionType()

      Specified by:
        `metaPositionType` in interface `R2VertexPUNT16ReadableType`
      Returns:
        The type of the `position` field

    - #### getPositionReadable

          public com.io7m.jtensors.ieee754b16.VectorReadable3Db16Type getPositionReadable()

      Specified by:
        `getPositionReadable` in interface `R2VertexPUNT16ReadableType`
      Returns:
        Read-only access to the `position` field

    - #### getPositionWritable

          public com.io7m.jtensors.ieee754b16.Vector3Db16Type getPositionWritable()

      Specified by:
        `getPositionWritable` in interface `R2VertexPUNT16WritableType`
      Returns:
        Writable access to the `position` field

    - #### metaUvOffsetFromType

          public int metaUvOffsetFromType()

      Specified by:
        `metaUvOffsetFromType` in interface `R2VertexPUNT16ReadableType`
      Returns:
        The offset in octets of the `uv` field, from the start of the type

    - #### metaUvStaticOffsetFromType

          public static int metaUvStaticOffsetFromType()

      Returns:
        The offset in octets of field `uv` from the start of the type

    - #### metaUvOffsetFromCursor

          public int metaUvOffsetFromCursor()

      Specified by:
        `metaUvOffsetFromCursor` in interface `R2VertexPUNT16ReadableType`
      Returns:
        The offset in octets of the `uv` field, from the cursor

    - #### metaUvType

          public com.io7m.jpra.runtime.java.JPRATypeModel.JPRAVector metaUvType()

      Specified by:
        `metaUvType` in interface `R2VertexPUNT16ReadableType`
      Returns:
        The type of the `uv` field

    - #### getUvReadable

          public com.io7m.jtensors.ieee754b16.VectorReadable2Db16Type getUvReadable()

      Specified by:
        `getUvReadable` in interface `R2VertexPUNT16ReadableType`
      Returns:
        Read-only access to the `uv` field

    - #### getUvWritable

          public com.io7m.jtensors.ieee754b16.Vector2Db16Type getUvWritable()

      Specified by:
        `getUvWritable` in interface `R2VertexPUNT16WritableType`
      Returns:
        Writable access to the `uv` field

    - #### metaNormalOffsetFromType

          public int metaNormalOffsetFromType()

      Specified by:
        `metaNormalOffsetFromType` in interface `R2VertexPUNT16ReadableType`
      Returns:
        The offset in octets of the `normal` field, from the start of the type

    - #### metaNormalStaticOffsetFromType

          public static int metaNormalStaticOffsetFromType()

      Returns:
        The offset in octets of field `normal` from the start of the type

    - #### metaNormalOffsetFromCursor

          public int metaNormalOffsetFromCursor()

      Specified by:
        `metaNormalOffsetFromCursor` in interface `R2VertexPUNT16ReadableType`
      Returns:
        The offset in octets of the `normal` field, from the cursor

    - #### metaNormalType

          public com.io7m.jpra.runtime.java.JPRATypeModel.JPRAVector metaNormalType()

      Specified by:
        `metaNormalType` in interface `R2VertexPUNT16ReadableType`
      Returns:
        The type of the `normal` field

    - #### getNormalReadable

          public com.io7m.jtensors.ieee754b16.VectorReadable3Db16Type getNormalReadable()

      Specified by:
        `getNormalReadable` in interface `R2VertexPUNT16ReadableType`
      Returns:
        Read-only access to the `normal` field

    - #### getNormalWritable

          public com.io7m.jtensors.ieee754b16.Vector3Db16Type getNormalWritable()

      Specified by:
        `getNormalWritable` in interface `R2VertexPUNT16WritableType`
      Returns:
        Writable access to the `normal` field

    - #### metaTangentOffsetFromType

          public int metaTangentOffsetFromType()

      Specified by:
        `metaTangentOffsetFromType` in interface `R2VertexPUNT16ReadableType`
      Returns:
        The offset in octets of the `tangent` field, from the start of the type

    - #### metaTangentStaticOffsetFromType

          public static int metaTangentStaticOffsetFromType()

      Returns:
        The offset in octets of field `tangent` from the start of the type

    - #### metaTangentOffsetFromCursor

          public int metaTangentOffsetFromCursor()

      Specified by:
        `metaTangentOffsetFromCursor` in interface `R2VertexPUNT16ReadableType`
      Returns:
        The offset in octets of the `tangent` field, from the cursor

    - #### metaTangentType

          public com.io7m.jpra.runtime.java.JPRATypeModel.JPRAVector metaTangentType()

      Specified by:
        `metaTangentType` in interface `R2VertexPUNT16ReadableType`
      Returns:
        The type of the `tangent` field

    - #### getTangentReadable

          public com.io7m.jtensors.ieee754b16.VectorReadable4Db16Type getTangentReadable()

      Specified by:
        `getTangentReadable` in interface `R2VertexPUNT16ReadableType`
      Returns:
        Read-only access to the `tangent` field

    - #### getTangentWritable

          public com.io7m.jtensors.ieee754b16.Vector4Db16Type getTangentWritable()

      Specified by:
        `getTangentWritable` in interface `R2VertexPUNT16WritableType`
      Returns:
        Writable access to the `tangent` field

Copyright © 2016 <code@io7m.com> http://io7m.com